Dreamhost – Ultima versione di PEAR

Sono su SSH sul mio account Dreamhost.

Ho bisogno di installare la libreria PHP HTTP_Request2 via pera

pear install HTTP_Request2 

dà il seguente errore

 pear/HTTP_Request2 requires PEAR Installer (version >= 1.9.2), installed version is 1.9.1 

Ecco l'output di pear -V

 PEAR Version: 1.9.1 

Ho provato a forzare un aggiornamento sul server Dreamhost

pear upgrade --force http://pear.php.net/get/PEAR-1.9.2 e anche pear install PEAR-1.9.4

ma questo errore out: pear/PEAR is already installed and is the same as the released version 1.9.4 install failed

Qualcuno ha problemi simili?

Hai due versioni di pera installate. Quello che corri e quello che aggiorni.

which pear restituirà un path diverso da quello della pear list-files pear|grep script ; questo è il tuo problema.

O eseguire quello installato (da file di elenco), o impostare i routes in modo che la versione di which pear venga aggiornata ( pear config-show pear config-set e pear config-set ).

Vedi Imansible installare PHPUnit via PEAR, richiede PEAR Installer> = 1.9.2, non è ansible aggiornare PEAR dalla versione 1.9.0 per maggiori informazioni.